Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 377711 - sys-infiniband/libibverbs: should remove dependency on sys-fs/sysfsutils
Summary: sys-infiniband/libibverbs: should remove dependency on sys-fs/sysfsutils
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Cluster Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 377673
  Show dependency tree
 
Reported: 2011-08-04 10:25 UTC by Anthony Basile
Modified: 2012-04-19 20:19 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
remove sysfsutils dependency (libibverbs-1.1.4-r1.ebuild,636 bytes, text/plain)
2011-12-31 19:59 UTC, Salah Coronya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Basile gentoo-dev 2011-08-04 10:25:48 UTC
sys-fs/sysfsutils is broken and dead upstream.  Dependency on it needs to be
removed so we can remove it from the tree.
Comment 1 Salah Coronya 2011-12-31 19:59:55 UTC
Created attachment 297481 [details]
remove sysfsutils dependency

The sysfsutils dependency on this library is bogus - the dependency was removed over 5 years ago: 

http://git.openfabrics.org/git?p=ofed_1_5/libibverbs.git;a=commit;h=bdbfcaa09c1f03506dc983f76fb1f23b993aaebf (OEFD) 
http://git.kernel.org/?p=libs/infiniband/libibverbs.git;a=commit;h=bdbfcaa09c1f03506dc983f76fb1f23b993aaebf (upstream)

Compile tested only. Don't have the hardware to run-test.
Comment 2 Alexey Shvetsov gentoo-dev 2012-04-19 20:19:36 UTC
Already fixed by 1.5.4.1 update